Package com.ads.api.util

# Class DocumentUtil

java.lang.Object
com.ads.api.util.BaseUtil
com.ads.api.util.DocumentUtil

public class DocumentUtil extends com.ads.api.util.BaseUtil
Contains the methods related to perform the operations such as creation, update, deletion and retrieval of Documents. Some of the methods are of RequestStatus return Type.

RequestStatus return type methods will result in being returned as either true or false as its status.
These Methods are applicable only for SM_ENVIRONMENT ,SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM nodes types.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.util.BaseUtil

  `com.ads.api.util.BaseUtil.TokenType`

- ## Field Summary

  ### Fields inherited from class com.ads.api.util.BaseUtil

  `AUTH_TOKEN, AUTH_TOKEN_TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RequestStatus`
  `addDocument(Node.NodeType nodeType, int nodeId, Document document)`
  Document is added at the NodeId of the given nodeType with the document details.
  `String`
  `addDocumentAs(String nodeType, int nodeId, String document, String outputFormat)`
  Document is added at the NodeId of the given nodeType with the document details.
  `RequestStatus`
  `addDocuments(Node.NodeType nodeType, int nodeId, List<Document> documents)`
  Documents are added at the NodeId of the given nodeType with the documentsObjJson details.
  `String`
  `addDocumentsAs(String nodeType, int nodeId, String documentsObjJson, String outputFormat)`
  Documents are added at the NodeId of the given nodeType with the documentsObjJson details.
  `RequestStatus`
  `deleteDocument(int documentId)`
  Deletes the Document with the specified documentId.
  `RequestStatus`
  `deleteDocument(Node.NodeType nodeType, int nodeId, String documentName)`
  Deletes the document with the given documentName of the specified nodeId of nodeType.
  `String`
  `deleteDocumentAs(int documentId, String outputFormat)`
  Deletes the Document with the specified documentId.
  `String`
  `deleteDocumentAs(String nodeType, int nodeId, String documentName, String outputFormat)`
  Deletes the document with the given documentName of the specified nodeId of nodeType.
  `RequestStatus`
  `deleteDocuments(Node.NodeType nodeType, int nodeId)`
  Deletes the documents of the specified nodeId of nodeType.
  `RequestStatus`
  `deleteDocuments(List<Integer> documentIds)`
  Documents with the specified List of DocumentIds are deleted.
  `String`
  `deleteDocumentsAs(String nodeType, int nodeId, String outputFormat)`
  Deletes the documents of the specified nodeId of nodeType.
  `String`
  `deleteDocumentsAs(String documentsIdsJson, String outputFormat)`
  Documents are deleted for the specified List of DocumentIds.
  `Document`
  `getDocument(int documentId)`
  Returns the Document Details with the specified documentId.
  `Document`
  `getDocument(Node.NodeType nodeType, int nodeId, String documentName)`
  Returns the document Details with the given documentName of the specified nodeId of nodeType.
  `String`
  `getDocumentAs(int documentId, String outputFormat)`
  Returns the Document Details with the specified documentId.
  `String`
  `getDocumentAs(String nodeType, int nodeId, String documentName, String outputFormat)`
  Returns the document Details with the given documentName of the specified nodeId of nodeType.
  `List<Document>`
  `getDocuments(Node.NodeType nodeType, int nodeId)`
  Returns the documents of the specified nodeId of nodeType.
  `List<Document>`
  `getDocuments(List<Integer> documentIds)`
  Returns the Documents of the specified List of DocumentIds.
  `String`
  `getDocumentsAs(String nodeType, int nodeId, String outputFormat)`
  Returns the documents of the specified nodeId of nodeType.
  `String`
  `getDocumentsAs(String documentIdsArray, String outputFormat)`
  Returns the Documents of the specified List of DocumentIds.
  `RequestStatus`
  `updateDocument(Document document)`
  Updates Document with the specified document Object.
  `RequestStatus`
  `updateDocument(Node.NodeType nodeType, int nodeId, String documentName, Document document)`
  Specified documentName is updated with the document Details, of the given nodeId of nodeType.
  `RequestStatus`
  `updateDocument(Node.NodeType nodeType, int nodeId, String documentName, String filePath)`
  Deprecated.
  `RequestStatus`
  `updateDocument(Node.NodeType nodeType, int nodeId, String documentName, String filePath, APIConstants.FilePathType filePathType)`
  File of the document is updated with the given documentName and with the filePath and filePathType specified.The supported values for the filePathType are ABSOLUTE, RELATIVE.
  `String`
  `updateDocumentAs(String nodeType, int nodeId, String documentName, String documentObjJson, String outputFormat)`
  Document File with the given documentName will be updated with the filePath specified, of the specified nodeId of nodeType.
  `String`
  `updateDocumentAs(String documentObjJson, String outputFormat)`
  Updates Document with the specified document Object.
  `String`
  `updateDocumentFileAs(String nodeType, int nodeId, String documentName, String filePath, String outputFormat)`
  Document File of the document is updated with the given documentName and with the filePath specified, of the specified nodeId of nodeType.
  `String`
  `updateDocumentFileByTypeAs(String nodeType, int nodeId, String documentName, String filePath, String filePathType, String outputFormat)`
  File of the document is updated with the given documentName and with the filePath and filePathType specified, of the specified nodeId of nodeType.
  `RequestStatus`
  `updateDocuments(List<Document> documents)`
  Documents are updated with the specified Document Objects.
  `String`
  `updateDocumentsAs(String documentsObjJson, String outputFormat)`
  Documents are updated with the specified Document Objects.

  ### Methods inherited from class com.ads.api.util.BaseUtil

  `getAccessToken, getAccessTokenType, getTokenType, getUserDetails, permissionDeniedMessage, permissionDeniedStatus, setAccessToken, setAccessTokenType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### addDocument

    public RequestStatus addDocument(Node.NodeType nodeType, int nodeId, Document document)
    Document is added at the NodeId of the given nodeType with the document details. Specifying the nodeId and nodeType, documentName, documentObject or documentLink and filePathType are mandatory.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT,SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    The supported values for the filePathType are ABSOLUTE, RELATIVE.
    Parameters:
      `nodeType` - Node
      `nodeId` - int
      `document` - Document
    Returns:
      RequestStatus object
    Since:
      8.2

  - ### addDocuments

    public RequestStatus addDocuments(Node.NodeType nodeType, int nodeId, List<Document> documents)
    Documents are added at the NodeId of the given nodeType with the documentsObjJson details. Specifying the nodeId and nodeType, documentName, documentObject or documentLink and filePathType for each Document are mandatory.
    The supported values for the filePathType are ABSOLUTE, RELATIVE.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT,SM_TABLE,SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    Parameters:
      `nodeType` - Node
      `nodeId` - int
      `documents` - List
    Returns:
      RequestStatus object
    Since:
      8.2

  - ### updateDocument

    public RequestStatus updateDocument(Document document)
    Updates Document with the specified document Object. Specifying the documentId, documentObject and filePathType are mandatory.
    This method will be used to update the document details of node types SM_ENVIRONMENT, SM_TABLE,SM_COLUMN,BGM_TERM and REQM_SPECIFICATION only. The supported values for the filePathType are ABSOLUTE, RELATIVE.
    Parameters:
      `document` - Document
    Returns:
      RequestStatus object
    Since:
      8.2

  - ### updateDocument

    public RequestStatus updateDocument(Node.NodeType nodeType, int nodeId, String documentName, Document document)
    Specified documentName is updated with the document Details, of the given nodeId of nodeType.
    Specifying the documentName, nodeId and nodeType are mandatory.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    Parameters:
      `nodeType` - Node
      `nodeId` - int
      `documentName` - String
      `document` - Document Object
    Returns:
      RequestStatus object
    Since:
      8.2

  - ### updateDocument

    public RequestStatus updateDocument(Node.NodeType nodeType, int nodeId, String documentName, String filePath)
    Deprecated.
    Document File of the document is updated with the given documentName and with the filePath specified, of the specified nodeId of nodeType.
    Specifying the filePath, documentName, nodeId and nodeType are mandatory. filePath must be ABSOLUTE.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    Parameters:
      `nodeType` - Node
      `nodeId` - int
      `documentName` - String
      `filePath` - String
    Returns:
      RequestStatus object
    Since:
      8.2

  - ### updateDocuments

    public RequestStatus updateDocuments(List<Document> documents)
    Documents are updated with the specified Document Objects. Specifying the documentId, documentObject or documentLink and filePathType of each document are mandatory.
    This method will be used to update the document details of node types SM_ENVIRONMENT, SM_TABLE,SM_COLUMN,BGM_TERM and REQM_SPECIFICATION only.The supported values for the filePathType are ABSOLUTE, RELATIVE.
    Parameters:
      `documents` - List
    Returns:
      RequestStatus object
    Since:
      8.2

  - ### getDocument

    public Document getDocument(int documentId) throws com.ads.api.exceptions.DAOException, com.ads.api.exceptions.PermissionDeniedException
    Returns the Document Details with the specified documentId. Specifying the documentId is mandatory.
    This method will return the document object for only SM_ENVIRONMENT,SM_TABLE,SM_COLUMN,BGM_TERM, REQM_SPECIFICATION objects.
    Parameters:
      `documentId` - int
    Returns:
      Document Object
    Throws:
      `com.ads.api.exceptions.DAOException`
      `com.ads.api.exceptions.PermissionDeniedException`
    Since:
      8.2

  - ### getDocument

    public Document getDocument(Node.NodeType nodeType, int nodeId, String documentName) throws com.ads.api.exceptions.DAOException, com.ads.api.exceptions.PermissionDeniedException
    Returns the document Details with the given documentName of the specified nodeId of nodeType. Specifying the nodeId and nodeType are mandatory.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    Parameters:
      `nodeType` - Node
      `nodeId` - int
      `documentName` - String
    Returns:
      Document Object
    Throws:
      `com.ads.api.exceptions.DAOException`
      `com.ads.api.exceptions.PermissionDeniedException`
    Since:
      8.2

  - ### getDocuments

    public List<Document> getDocuments(Node.NodeType nodeType, int nodeId) throws com.ads.api.exceptions.DAOException, com.ads.api.exceptions.PermissionDeniedException
    Returns the documents of the specified nodeId of nodeType. Specifying the nodeId and nodeType are mandatory.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    Parameters:
      `nodeType` - Node
      `nodeId` - int
    Returns:
      Document List
    Throws:
      `com.ads.api.exceptions.DAOException`
      `com.ads.api.exceptions.PermissionDeniedException`
    Since:
      8.2

  - ### getDocuments

    public List<Document> getDocuments(List<Integer> documentIds) throws com.ads.api.exceptions.DAOException, com.ads.api.exceptions.PermissionDeniedException
    Returns the Documents of the specified List of DocumentIds. Specifying DOcumemtId's are mandatory.
    This method will return the document objects for only SM_ENVIRONMENT,SM_TABLE,SM_COLUMN,BGM_TERM, REQM_SPECIFICATION objects.
    Parameters:
      `documentIds` - List
    Returns:
      Document List
    Throws:
      `com.ads.api.exceptions.DAOException`
      `com.ads.api.exceptions.PermissionDeniedException`
    Since:
      8.2

  - ### deleteDocument

    public RequestStatus deleteDocument(int documentId)
    Deletes the Document with the specified documentId. Specifying the documentId is mandatory.
    This method will delete the document object for only SM_ENVIRONMENT,SM_TABLE,SM_COLUMN,BGM_TERM,REQM_SPECIFICATION objects.
    Parameters:
      `documentId` - int
    Returns:
      RequestStatus Object
    Since:
      8.2

  - ### deleteDocument

    public RequestStatus deleteDocument(Node.NodeType nodeType, int nodeId, String documentName)
    Deletes the document with the given documentName of the specified nodeId of nodeType.
    Specifying the nodeId and nodeType are mandatory.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT,SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    Parameters:
      `nodeType` - Node
      `nodeId` - int
      `documentName` - String
    Returns:
      RequestStatus Object
    Since:
      8.2

  - ### deleteDocuments

    public RequestStatus deleteDocuments(Node.NodeType nodeType, int nodeId)
    Deletes the documents of the specified nodeId of nodeType. Specifying the nodeId and nodeType are mandatory.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    Parameters:
      `nodeType` - Node
      `nodeId` - int
    Returns:
      RequestStatus Object
    Since:
      8.2

  - ### deleteDocuments

    public RequestStatus deleteDocuments(List<Integer> documentIds) throws com.ads.api.exceptions.DAOException, com.ads.api.exceptions.PermissionDeniedException
    Documents with the specified List of DocumentIds are deleted. Specifying the DocumentIds are mandatory.
    This method will delete the documents of SM_ENVIRONMENT,SM_TABLE,SM_COLUMN,BGM_TERM,REQM_SPECIFICATION objects.
    Parameters:
      `documentIds` - List
    Returns:
      RequestStatus Object
    Throws:
      `com.ads.api.exceptions.DAOException`
      `com.ads.api.exceptions.PermissionDeniedException`
    Since:
      8.2

  - ### addDocumentAs

    public String addDocumentAs(String nodeType, int nodeId, String document, String outputFormat)
    Document is added at the NodeId of the given nodeType with the document details. Specifying the nodeId and nodeType, documentName, documentObject or documentLink and filePathType are mandatory.The supported values for the filePathType are ABSOLUTE, RELATIVE.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String
      `nodeId` - int
      `document` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Document is added successfully, RequestStatus.isRequestSuccess() will return true otherwise false.

      Sample 'document' JSON :
      {
      "documentName": "",
      "documentIntendedPurpose": "",
      "documentReferenceNumber": "",
      "documentType": "",
      "documentApprovedBy": "",
      "documentObject": "",
      "filePathType" : "",
      "approvalRequired": true,
      "documentOwner": "",
      "documentLink": "",
      "documentReference": "",
      "documentStatus": "",
      "documentApprovedDate": 1460701213000
      }

    Since:
      8.2

  - ### addDocumentsAs

    public String addDocumentsAs(String nodeType, int nodeId, String documentsObjJson, String outputFormat)
    Documents are added at the NodeId of the given nodeType with the documentsObjJson details. Specifying the nodeId and nodeType, documentName, documentObject or documentLink and filePathType for each Document are mandatory.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String
      `nodeId` - int
      `documentsObjJson` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Document is added successfully, RequestStatus.isRequestSuccess() will return true otherwise false.

      Sample 'documentsObjJson' JSON :
      [
      {
      "documentName": "",
      "documentIntendedPurpose": "",
      "documentReferenceNumber": "",
      "documentType": "",
      "documentApprovedBy": "",
      "documentObject": "",
      "filePathType" : "",
      "approvalRequired": true,
      "documentOwner": "",
      "documentLink": "",
      "documentReference": "",
      "documentStatus": "",
      "documentApprovedDate": 1460701213000
      },
      {
      "documentName": "",
      "documentIntendedPurpose": "",
      "documentReferenceNumber": "",
      "documentType": "",
      "documentApprovedBy": "",
      "documentObject": "",
      "approvalRequired": true,
      "documentOwner": "",
      "documentLink": "",
      "documentReference": "",
      "documentStatus": "",
      "documentApprovedDate": 1460701213000
      }
      ]

    Since:
      8.2

  - ### updateDocumentAs

    public String updateDocumentAs(String documentObjJson, String outputFormat)
    Updates Document with the specified document Object. Specifying the documentId, documentObject or documentLink and filePathType are mandatory. The supported values for the filePathType are ABSOLUTE, RELATIVE.
    This method will update the document object for only SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, BGM_TERM, REQM_SPECIFICATION objects.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `outputFormat` - String - Valid values: JSON or XML
      `documentObjJson` -
    Returns:
      String - If Document is updated successfully, it will return RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.

      Sample 'documentObjJson' JSON :
      {
      "documentId": 0,
      "documentName": "",
      "documentIntendedPurpose": "",
      "documentReferenceNumber": "",
      "documentType": "",
      "documentApprovedBy": "",
      "documentObject": "",
      "filePathType" : "",
      "approvalRequired": true,
      "documentOwner": "",
      "documentLink": "",
      "documentReference": "",
      "documentStatus": "",
      "documentApprovedDate": 1460701213000
      }

    Since:
      8.2

  - ### updateDocumentAs

    public String updateDocumentAs(String nodeType, int nodeId, String documentName, String documentObjJson, String outputFormat)
    Document File with the given documentName will be updated with the filePath specified, of the specified nodeId of nodeType.
    Specifying the filePath, filePathType, documentName, nodeId and nodeType are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String
      `nodeId` - int
      `documentName` - String
      `documentObjJson` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Document is updated successfully, RequestStatus.isRequestSuccess() will return true otherwise false.

      Sample 'documentObjJson' JSON :
      {
      "documentName": "",
      "documentIntendedPurpose": "",
      "documentReferenceNumber": "",
      "documentType": "",
      "documentApprovedBy": "",
      "documentObject": "",
      "filePathType" : "",
      "approvalRequired": true,
      "documentOwner": "",
      "documentLink": "",
      "documentReference": "",
      "documentStatus": "",
      "documentApprovedDate": 1460701213000
      }

    Since:
      8.2

  - ### updateDocumentFileAs

    public String updateDocumentFileAs(String nodeType, int nodeId, String documentName, String filePath, String outputFormat)
    Document File of the document is updated with the given documentName and with the filePath specified, of the specified nodeId of nodeType.
    Specifying the filePath, documentName, nodeId and nodeType are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String
      `nodeId` - int
      `documentName` - String
      `filePath` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Document is updated successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Since:
      8.2

  - ### updateDocumentsAs

    public String updateDocumentsAs(String documentsObjJson, String outputFormat)
    Documents are updated with the specified Document Objects. Specifying the documentId, documentObjec or documentLink and filePathType of each document are mandatory.The supported values for the filePathType are ABSOLUTE, RELATIVE.
    This method will update the document object for only SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, BGM_TERM, REQM_SPECIFICATION objects.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `documentsObjJson` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Document is updated successfully, RequestStatus.isRequestSuccess() will return true otherwise false.

      Sample 'documentsObjJson' JSON :
      [
      {
      "documentId": 0,
      "documentName": "",
      "documentIntendedPurpose": "",
      "documentReferenceNumber": "",
      "documentType": "",
      "documentApprovedBy": "",
      "documentObject": "",
      "filePathType" : "",
      "approvalRequired": true,
      "documentOwner": "",
      "documentLink": "",
      "documentReference": "",
      "documentStatus": "",
      "documentApprovedDate": 1460701213000
      },
      {
      "documentId": 0,
      "documentName": "",
      "documentIntendedPurpose": "",
      "documentReferenceNumber": "",
      "documentType": "",
      "documentApprovedBy": "",
      "documentObject": "",
      "approvalRequired": true,
      "documentOwner": "",
      "documentLink": "",
      "documentReference": "",
      "documentStatus": "",
      "documentApprovedDate": 1460701213000
      }
      ]

    Since:
      8.2

  - ### getDocumentAs

    public String getDocumentAs(int documentId, String outputFormat)
    Returns the Document Details with the specified documentId. Specifying the documentId is mandatory.
    This method will return the document object for only SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, BGM_TERM, REQM_SPECIFICATION objects.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `documentId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Document is returned successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Since:
      8.2

  - ### getDocumentAs

    public String getDocumentAs(String nodeType, int nodeId, String documentName, String outputFormat)
    Returns the document Details with the given documentName of the specified nodeId of nodeType. Specifying the nodeId and nodeType are mandatory.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String
      `nodeId` - int
      `documentName` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Document is returned successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Since:
      8.2

  - ### getDocumentsAs

    public String getDocumentsAs(String nodeType, int nodeId, String outputFormat)
    Returns the documents of the specified nodeId of nodeType. Specifying the nodeId and nodeType are mandatory.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String
      `nodeId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Documents are returned successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Since:
      8.2

  - ### getDocumentsAs

    public String getDocumentsAs(String documentIdsArray, String outputFormat)
    Returns the Documents of the specified List of DocumentIds. Specifying DOcumemtId's are mandatory.
    This method will return the document object for only SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, BGM_TERM, REQM_SPECIFICATION objects.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `documentIdsArray` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Documents are returned successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Since:
      8.2

  - ### deleteDocumentAs

    public String deleteDocumentAs(int documentId, String outputFormat)
    Deletes the Document with the specified documentId. Specifying documentId is mandatory.
    This method will delete the document object for only SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, BGM_TERM, REQM_SPECIFICATION objects.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `documentId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Document is deleted successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Since:
      8.2

  - ### deleteDocumentAs

    public String deleteDocumentAs(String nodeType, int nodeId, String documentName, String outputFormat)
    Deletes the document with the given documentName of the specified nodeId of nodeType.
    Specifying the nodeId and nodeType are mandatory.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String
      `nodeId` - int
      `documentName` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Document is deleted successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Since:
      8.2

  - ### deleteDocumentsAs

    public String deleteDocumentsAs(String nodeType, int nodeId, String outputFormat)
    Deletes the documents of the specified nodeId of nodeType. Specifying the nodeId and nodeType are mandatory.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String
      `nodeId` - int
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Document is deleted successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Since:
      8.2

  - ### deleteDocumentsAs

    public String deleteDocumentsAs(String documentsIdsJson, String outputFormat)
    Documents are deleted for the specified List of DocumentIds. Specifying the DocumentIds are mandatory.
    This method will delete the document objects for only SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, BGM_TERM, REQM_SPECIFICATION objects.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `documentsIdsJson` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Document is deleted successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Since:
      8.2

  - ### updateDocument

    public RequestStatus updateDocument(Node.NodeType nodeType, int nodeId, String documentName, String filePath, APIConstants.FilePathType filePathType)
    File of the document is updated with the given documentName and with the filePath and filePathType specified.The supported values for the filePathType are ABSOLUTE, RELATIVE.
    Specifying the filePath,filePathType, documentName, nodeId and nodeType are mandatory.
    nodeType can be either SM_SYSTEM, SM_ENVIRONMENT, SM_TABLE, SM_COLUMN, REQM_SPECIFICATION, BGM_TERM. Depending upon the nodeType, nodeId will be either systemId, environmentId, tableId, columnId, specificationId, businessTermId.
    Parameters:
      `nodeType` - Node
      `nodeId` - int
      `documentName` - String
      `filePath` - String
      `filePathType` - FilePathType
    Returns:
      RequestStatus object
    Since:
      10.1

  - ### updateDocumentFileByTypeAs

    public String updateDocumentFileByTypeAs(String nodeType, int nodeId, String documentName, String filePath, String filePathType, String outputFormat)
    File of the document is updated with the given documentName and with the filePath and filePathType specified, of the specified nodeId of nodeType.
    Specifying the filePath, filePathType, documentName, nodeId and nodeType are mandatory.
    outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `nodeType` - String
      `nodeId` - int
      `documentName` - String
      `filePath` - String
      `filePathType` - String - Valid values: ABSOLUTE or RELATIVE
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String - If Document is updated successfully, RequestStatus.isRequestSuccess() will return true otherwise false.
    Since:
      10.1